package dev.team3.orm.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface IsDbGenerated
{
    //This annotation is used to indicate that a value is generated by the database,
    //and that we should NOT try to put the value in to the database directly.
    //This is mainly used for SERIAL datatypes, at the moment.
    public boolean isGenerated = true;
}
